Re: [opensuse] Skype/Alsa Error



Il 21/04/2012 19:38, Carl Hartung ha scritto:
On Sat, 21 Apr 2012 12:34:57 -0300
Marco Calistri <marco.calistri@xxxxxxxxxxxx> wrote:

Hello openSUSers,

I know, I should be opening a bug on bugzilla but I am in hurry so
hope that ALSA/openSUSE people could take in account of this brief
report.

It occurs that by starting SKYPE version 2.2.0.35-suse111, my Core i5
laptop freezes and keeps unresponsive for a couple of minutes.

So far I was not understanding the reason of this problem but today I
switched /var/log/messages immediately before to start Skype and I
recorded the error Log in the annex.

It appears an error of compilation of Skype's code as well as ALSA
related issue.

There are newer or patched versions of Skype for Linux around?

Thanks.

Cheers,


Hi Marco,

I'm on openSUSE 11.4 x86_64 GNOME 2. Skype does this on my Core2Duo
system, too, roughly one in three or four launches. It behaves like an
'on-launch / at initialization race condition' where the indicator on my
panel shows one core pegged and X becomeing only haltingly responsive
until the process dies (or is killed off.) After the crash, I usually
need to log out and back into my desktop to get X responding normally
again.

rpm -qa | grep skype
skype-2.2.0.35-suse111.i586

uname -a
2.6.37.6-0.11-desktop #1 SMP PREEMPT 2011-12-19 23:39:38 +0100 x86_64
x86_64 x86_64 GNU/Linux

lsmod | grep snd
snd_pcm_oss 53391 0
snd_mixer_oss 20225 1 snd_pcm_oss
snd_seq 66675 0
snd_seq_device 7770 1 snd_seq
snd_hda_codec_hdmi 28023 1
snd_hda_codec_realtek 356587 1
snd_hda_intel 28773 2
snd_hda_codec 108050 3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 7772 1 snd_hda_codec
snd_pcm 104468 4
snd_pcm_oss,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
snd_timer 26774 2 snd_seq,snd_pcm snd
84374 15
snd_pcm_oss,snd_mixer_oss,snd_seq,snd_seq_device,snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
soundcore 8782 1 snd snd_page_alloc 9569 2
snd_hda_intel,snd_pcm

cat /var/log/messages | grep skype
kernel: [ 206.232740] process `skype' is using obsolete setsockopt
SO_BSDCOMPAT

regards,

Carl

Hi Carl,

Thanks for your feedback, really SKYPE is not updated for Linux and now
that Microsoft purchased the P2P company I suppose it will never get
upgraded for Linux.

Hope that one day they decide to offer an "open-source" version so that
we could use for our systems.

Cheers,

--
Marco Calistri (amdturion)
opensuse 12.1 (Aspargus) - Kernel 3.1.10-1.9-desktop x86_64 Gnome 3.2.1
Intel® Core™ i5-2410M CPU @ 2.30GHz × 4 - Intel® Sandybridge Mobile
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx